gwen_sar_fileheader.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/syncio_file.h>`
`#include <gwenhywfar/gwentime.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SAR_FILEHEADER_FLAGS_SIGNED 0x00000001

## Typedefs

typedef struct GWEN_SAR_FILEHEADER | GWEN_SAR_FILEHEADER

## Enumerations

enum | GWEN_SAR_FILEHEADER_FTYPE { GWEN_SarFileHeader_FType_Unknown = -1 , GWEN_SarFileHeader_FType_None = 0 , GWEN_SarFileHeader_FType_File , GWEN_SarFileHeader_FType_Dir , GWEN_SarFileHeader_FType_SymLink }
enum | GWEN_SAR_FILEHEADER_STATUS { GWEN_SarFileHeader_Status_Unknown = -1 , GWEN_SarFileHeader_Status_Active = 0 , GWEN_SarFileHeader_Status_Deleted }

## Functions

GWENHYWFAR_API void | GWEN_SarFileHeader_AddFlags (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_AddPermissions (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_AddStatus (GWEN_SAR_FILEHEADER *p_struct, int p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_Attach (GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API GWEN_SAR_FILEHEADER * | GWEN_SarFileHeader_copy (GWEN_SAR_FILEHEADER *p_struct, const GWEN_SAR_FILEHEADER *p_src)
GWENHYWFAR_API GWEN_SAR_FILEHEADER * | GWEN_SarFileHeader_dup (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API void | GWEN_SarFileHeader_free (GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API GWEN_SAR_FILEHEADER_FTYPE | GWEN_SarFileHeader_FType_fromString (const char *p_s)
GWENHYWFAR_API const char * | GWEN_SarFileHeader_FType_toString (GWEN_SAR_FILEHEADER_FTYPE p_i)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SarFileHeader_GetAtime (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SarFileHeader_GetCtime (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API uint64_t | GWEN_SarFileHeader_GetFileSize (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API int | GWEN_SarFileHeader_GetFileType (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API uint32_t | GWEN_SarFileHeader_GetFlags (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SarFileHeader_GetMtime (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API const char * | GWEN_SarFileHeader_GetPath (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API uint32_t | GWEN_SarFileHeader_GetPermissions (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API int | GWEN_SarFileHeader_GetStatus (const GWEN_SAR_FILEHEADER *p_struct)
GWENHYWFAR_API GWEN_SAR_FILEHEADER_LIST * | GWEN_SarFileHeader_List_dup (const GWEN_SAR_FILEHEADER_LIST *p_src)
GWENHYWFAR_API GWEN_SAR_FILEHEADER * | GWEN_SarFileHeader_new (void)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetAtime (GWEN_SAR_FILEHEADER *p_struct, GWEN_TIME *p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetCtime (GWEN_SAR_FILEHEADER *p_struct, GWEN_TIME *p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetFileSize (GWEN_SAR_FILEHEADER *p_struct, uint64_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetFileType (GWEN_SAR_FILEHEADER *p_struct, int p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetFlags (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetMtime (GWEN_SAR_FILEHEADER *p_struct, GWEN_TIME *p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetPath (GWEN_SAR_FILEHEADER *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetPermissions (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SetStatus (GWEN_SAR_FILEHEADER *p_struct, int p_src)
GWENHYWFAR_API GWEN_SAR_FILEHEADER_STATUS | GWEN_SarFileHeader_Status_fromString (const char *p_s)
GWENHYWFAR_API const char * | GWEN_SarFileHeader_Status_toString (GWEN_SAR_FILEHEADER_STATUS p_i)
GWENHYWFAR_API void | GWEN_SarFileHeader_SubFlags (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SubPermissions (GWEN_SAR_FILEHEADER *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_SarFileHeader_SubStatus (GWEN_SAR_FILEHEADER *p_struct, int p_src)

## Macro Definition Documentation

## GWEN_SAR_FILEHEADER_FLAGS_SIGNED

#define GWEN_SAR_FILEHEADER_FLAGS_SIGNED 0x00000001

Definition at line 111 of file gwen_sar_fileheader.h.

## Typedef Documentation

## GWEN_SAR_FILEHEADER

typedef struct GWEN_SAR_FILEHEADER GWEN_SAR_FILEHEADER

Definition at line 123 of file gwen_sar_fileheader.h.

## Enumeration Type Documentation

## GWEN_SAR_FILEHEADER_FTYPE

enum GWEN_SAR_FILEHEADER_FTYPE

Enumerator
GWEN_SarFileHeader_FType_Unknown |
GWEN_SarFileHeader_FType_None |
GWEN_SarFileHeader_FType_File |
GWEN_SarFileHeader_FType_Dir |
GWEN_SarFileHeader_FType_SymLink |

Definition at line 129 of file gwen_sar_fileheader.h.

## GWEN_SAR_FILEHEADER_STATUS

enum GWEN_SAR_FILEHEADER_STATUS

Enumerator
GWEN_SarFileHeader_Status_Unknown |
GWEN_SarFileHeader_Status_Active |
GWEN_SarFileHeader_Status_Deleted |

Definition at line 138 of file gwen_sar_fileheader.h.

## Function Documentation

## GWEN_SarFileHeader_AddFlags()

GWENHYWFAR_API void GWEN_SarFileHeader_AddFlags | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Add flags. Use this function to add flags to the member "flags"

References GWENHYWFAR_API.

## GWEN_SarFileHeader_AddPermissions()

GWENHYWFAR_API void GWEN_SarFileHeader_AddPermissions | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Add flags. Use this function to add flags to the member "permissions"

References GWENHYWFAR_API.

## GWEN_SarFileHeader_AddStatus()

GWENHYWFAR_API void GWEN_SarFileHeader_AddStatus | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | int | p_src )

Add flags. Use this function to add flags to the member "status"

References GWENHYWFAR_API.

## GWEN_SarFileHeader_Attach()

GWENHYWFAR_API void GWEN_SarFileHeader_Attach | ( | GWEN_SAR_FILEHEADER * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_copy()

GWENHYWFAR_API GWEN_SAR_FILEHEADER * GWEN_SarFileHeader_copy | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | const GWEN_SAR_FILEHEADER * | p_src )

References GWENHYWFAR_API.

## GWEN_SarFileHeader_dup()

GWENHYWFAR_API GWEN_SAR_FILEHEADER * GWEN_SarFileHeader_dup | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_free()

GWENHYWFAR_API void GWEN_SarFileHeader_free | ( | GWEN_SAR_FILEHEADER * | p_struct | ) |

Destructor.

References GWENHYWFAR_API.

## GWEN_SarFileHeader_FType_fromString()

GWENHYWFAR_API GWEN_SAR_FILEHEADER_FTYPE GWEN_SarFileHeader_FType_fromString | ( | const char * | p_s | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_FType_toString()

GWENHYWFAR_API const char * GWEN_SarFileHeader_FType_toString | ( | GWEN_SAR_FILEHEADER_FTYPE | p_i | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetAtime()

GWENHYWFAR_API const GWEN_TIME * GWEN_SarFileHeader_GetAtime | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "atime" (see GWEN_SAR_FILEHEADER_atime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetCtime()

GWENHYWFAR_API const GWEN_TIME * GWEN_SarFileHeader_GetCtime | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "ctime" (see GWEN_SAR_FILEHEADER_ctime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetFileSize()

GWENHYWFAR_API uint64_t GWEN_SarFileHeader_GetFileSize | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "fileSize" (see GWEN_SAR_FILEHEADER_fileSize)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetFileType()

GWENHYWFAR_API int GWEN_SarFileHeader_GetFileType | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "fileType" (see GWEN_SAR_FILEHEADER_fileType)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetFlags()

GWENHYWFAR_API uint32_t GWEN_SarFileHeader_GetFlags | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "flags" (see GWEN_SAR_FILEHEADER_flags)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetMtime()

GWENHYWFAR_API const GWEN_TIME * GWEN_SarFileHeader_GetMtime | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "mtime" (see GWEN_SAR_FILEHEADER_mtime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetPath()

GWENHYWFAR_API const char * GWEN_SarFileHeader_GetPath | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "path" (see GWEN_SAR_FILEHEADER_path)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetPermissions()

GWENHYWFAR_API uint32_t GWEN_SarFileHeader_GetPermissions | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "permissions" (see GWEN_SAR_FILEHEADER_permissions)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_GetStatus()

GWENHYWFAR_API int GWEN_SarFileHeader_GetStatus | ( | const GWEN_SAR_FILEHEADER * | p_struct | ) |

Getter. Use this function to get the member "status" (see GWEN_SAR_FILEHEADER_status)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_List_dup()

GWENHYWFAR_API GWEN_SAR_FILEHEADER_LIST * GWEN_SarFileHeader_List_dup | ( | const GWEN_SAR_FILEHEADER_LIST * | p_src | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_new()

GWENHYWFAR_API GWEN_SAR_FILEHEADER * GWEN_SarFileHeader_new | ( | void |  | ) |

Constructor.

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetAtime()

GWENHYWFAR_API void GWEN_SarFileHeader_SetAtime | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | GWEN_TIME * | p_src )

Setter. Use this function to set the member "atime" (see GWEN_SAR_FILEHEADER_atime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetCtime()

GWENHYWFAR_API void GWEN_SarFileHeader_SetCtime | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | GWEN_TIME * | p_src )

Setter. Use this function to set the member "ctime" (see GWEN_SAR_FILEHEADER_ctime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetFileSize()

GWENHYWFAR_API void GWEN_SarFileHeader_SetFileSize | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint64_t | p_src )

Setter. Use this function to set the member "fileSize" (see GWEN_SAR_FILEHEADER_fileSize)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetFileType()

GWENHYWFAR_API void GWEN_SarFileHeader_SetFileType | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "fileType" (see GWEN_SAR_FILEHEADER_fileType)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetFlags()

GWENHYWFAR_API void GWEN_SarFileHeader_SetFlags | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "flags" (see GWEN_SAR_FILEHEADER_flags)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetMtime()

GWENHYWFAR_API void GWEN_SarFileHeader_SetMtime | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | GWEN_TIME * | p_src )

Setter. Use this function to set the member "mtime" (see GWEN_SAR_FILEHEADER_mtime)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetPath()

GWENHYWFAR_API void GWEN_SarFileHeader_SetPath | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "path" (see GWEN_SAR_FILEHEADER_path)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetPermissions()

GWENHYWFAR_API void GWEN_SarFileHeader_SetPermissions | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "permissions" (see GWEN_SAR_FILEHEADER_permissions)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SetStatus()

GWENHYWFAR_API void GWEN_SarFileHeader_SetStatus | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "status" (see GWEN_SAR_FILEHEADER_status)

References GWENHYWFAR_API.

## GWEN_SarFileHeader_Status_fromString()

GWENHYWFAR_API GWEN_SAR_FILEHEADER_STATUS GWEN_SarFileHeader_Status_fromString | ( | const char * | p_s | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_Status_toString()

GWENHYWFAR_API const char * GWEN_SarFileHeader_Status_toString | ( | GWEN_SAR_FILEHEADER_STATUS | p_i | ) |

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SubFlags()

GWENHYWFAR_API void GWEN_SarFileHeader_SubFlags | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Sub flags. Use this function to sub flags from the member "flags"

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SubPermissions()

GWENHYWFAR_API void GWEN_SarFileHeader_SubPermissions | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | uint32_t | p_src )

Sub flags. Use this function to sub flags from the member "permissions"

References GWENHYWFAR_API.

## GWEN_SarFileHeader_SubStatus()

GWENHYWFAR_API void GWEN_SarFileHeader_SubStatus | ( | GWEN_SAR_FILEHEADER * | p_struct,
|  | int | p_src )

Sub flags. Use this function to sub flags from the member "status"

References GWENHYWFAR_API.